interface DateAD {
    y: number;
    m: number;
    d: number;
    cal: 'AD';
}
interface DateBS {
    y: number;
    m: number;
    d: number;
    cal: 'BS';
}
export declare function isDateEqual<T extends DateAD | DateBS>(foo: T, bar: T): boolean;
export declare function isDateLessThan<T extends DateAD | DateBS>(foo: T, bar: T): boolean;
export declare function isDateGreaterThan<T extends DateAD | DateBS>(foo: T, bar: T): boolean;
export declare function isDateLessThanOrEqual<T extends DateAD | DateBS>(foo: T, bar: T): boolean;
export declare function isDateGreaterThanOrEqual<T extends DateAD | DateBS>(foo: T, bar: T): boolean;
export declare function toDateString(date: DateAD | DateBS): string;
export declare function getDaysInYear(year: number, cal: 'AD' | 'BS'): number;
export declare function isLeapYear(year: number, cal: 'AD' | 'BS'): boolean;
export declare function getDaysInMonth(year: number, month: number, cal: 'AD' | 'BS'): number;
export declare function isValidDate(date: DateAD | DateBS): [boolean, string?];
export declare function prepareDate(year: number, month: number, day: number, cal: 'AD'): DateAD;
export declare function prepareDate(year: number, month: number, day: number, cal: 'BS'): DateBS;
export declare function prepareDate(year: number, month: number, day: number, cal: 'AD' | 'BS'): DateAD | DateBS;
export declare function getDateDifference<T extends DateAD | DateBS>(foo: T, bar: T): number;
export declare function addYearsInDate(date: DateAD, no: number): DateAD;
export declare function addYearsInDate(date: DateBS, no: number): DateBS;
export declare function addYearsInDate(date: DateAD | DateBS, no: number): DateAD | DateBS;
export declare function addMonthsInDate(date: DateAD, no: number): DateAD;
export declare function addMonthsInDate(date: DateBS, no: number): DateBS;
export declare function addMonthsInDate(date: DateAD | DateBS, no: number): DateAD | DateBS;
export declare function addDaysInDate(date: DateAD, no: number): DateAD;
export declare function addDaysInDate(date: DateBS, no: number): DateBS;
export declare function addDaysInDate(date: DateAD | DateBS, no: number): DateAD | DateBS;
export declare function subtractDaysInDate(date: DateAD | DateBS, no: number): DateAD | DateBS;
export declare function getWeekFromDate(date: DateAD | DateBS): number;
export declare function convertDate(date: DateAD | DateBS, cal: 'BS'): DateBS;
export declare function convertDate(date: DateAD | DateBS, cal: 'AD'): DateAD;
export {};
