/**
 * Pick only certain keys from an object
 * @param obj
 * @param keys
 */
export declare const pick: <T extends object>(obj: T, keys: (keyof T)[]) => {};
/**
 * Remove a certain key from an object
 * @param obj
 * @param key
 */
export declare function removeKey<T extends object>(obj: T, key: keyof T): T;
/**
 * Get key of the first element in an object
 * @param obj
 * @param value
 */
export declare function getFirstKeyByValue<T extends object>(obj: T, value: unknown): string | undefined;
/**
 * Identify if object has no data
 * @param obj
 * @param invalids list of values that aren't considered as data
 */
export declare function doesObjectHaveNoData(obj: unknown, invalids?: unknown[]): boolean;
