/**
 * Get `a` modulo `b`
 *
 * @param a dividend
 * @param b divisor
 * @remarks
 * Return a positive modulo
 */
export declare function modulo(a: number, b: number): number;
/**
 * Get sum of all elements in a list
 *
 * @param list of numbers
 *
 * @remarks
 * Return a positive modulo
 */
export declare function sum(values: number[]): number;
/**
 * Get mean of all elements in a list
 *
 * @param list of numbers
 */
export declare function mean(values: number[]): number;
/**
 * Get median of all elements in a list
 *
 * @param list of numbers
 */
export declare function median(values: number[]): number | undefined;
type Bucket<T> = [number, number, T];
/**
 * Get the bucket for a given number
 *
 * @param value
 * @param buckets
 */
export declare function bucket<T>(value: number, buckets: Bucket<T>[]): T | undefined;
/**
 * Get number bounded on two sides
 *
 * @param value
 * @param a upper or lower bound
 * @param b upper or lower bound
 */
export declare function bound(value: number, a: number, b: number): number;
/**
 * Get normalized value for a number
 *
 * @param value
 * @param max max value
 * @param min min value
 */
export declare function normalize(value: number, max: number, min: number): number;
/**
 * Get list of numbers from `start` to `end`
 *
 * @param start number from where list starts
 * @param end number where list ends
 */
export declare function getNumbers(start: number, end: number): number[];
export {};
