import { Maybe } from './declarations';
/**
 * Add padding before string or number
 *
 * @param value
 * @param length total length of the output
 * @param pad character used to pad
 *
 * @remarks
 * Use when String(num).padStart(length, str) not fully supported
 */
export declare function padStart(value: Maybe<string | number>, length: number, pad?: string): string;
/**
 * Change the first letter of word to uppercase
 *
 * @param str
 */
export declare function capitalize(str: null): null;
export declare function capitalize(str: undefined): undefined;
export declare function capitalize(str: string): string;
/**
 * Format text, extracted from pdfs, to remove extraneous spaces
 *
 * @param text
 */
export declare function formatPdfText(text: string): string;
/**
 * Get rating for content in string
 *
 * @param content
 * @param str
 */
export declare function getRatingForContentInString(content: Maybe<string>, str: Maybe<string>): number;
/**
 * Get random string
 *
 * @param length length of the random string
 * @param mixedCase if uppercase alphabets are to be included
 */
export declare function randomString(length?: number, mixedCase?: boolean): string;
export declare function camelToNormal(str: undefined, separator?: string): undefined;
export declare function camelToNormal(str: null, separator?: string): null;
export declare function camelToNormal(str: string, separator?: string): string;
/**
 * Convert camel case to snake case
 *
 * @param str
 *
 * @remarks
 * Only support alphabets (not numerals)
 */
export declare function camelToSnake(str: undefined): undefined;
export declare function camelToSnake(str: null): null;
export declare function camelToSnake(str: string): string;
/**
 * Convert camel case to kebab case
 *
 * @param str
 *
 * @remarks
 * Only support alphabets (not numerals)
 */
export declare function camelToKebab(str: undefined): undefined;
export declare function camelToKebab(str: null): null;
export declare function camelToKebab(str: string): string;
/**
 * Split sentence
 *
 * @param str
 */
export declare function splitInWhitespace(str: Maybe<string>): string[];
/**
 * Convert all whitespaces into single space
 *
 * @param str
 */
export declare function trimWhitespace(str: undefined): undefined;
export declare function trimWhitespace(str: null): null;
export declare function trimWhitespace(str: string): string;
/**
 * Identify if shortText is inside longText
 *
 * @param longText
 * @param shortText
 *
 * @remarks
 * The match is case-insensitive
 *
 */
export declare function caseInsensitiveSubmatch(longText: Maybe<string | number>, shortText: Maybe<string | number>): boolean;
