/**
 * Identifies if item is a list.
 * @param item anything
 */
export declare function isList(item: unknown): item is unknown[];
/**
 * Identifies if item is an object.
 * `null` and `list` are not considered as object.
 * @param item anything
 */
export declare function isObject(item: unknown): item is object;
/**
 * Identifies if item is an integer.
 * Float values are not not considered as integer.
 * @param item anything
 */
export declare function isInteger(value: unknown): value is number;
export declare const basicTypes: readonly ["Boolean", "Number", "String", "Function", "Array", "Date", "RegExp", "Object", "Error", "Symbol"];
/**
 * Get type of an item.
 * Valid types: null, boolean, number, string, function, array, date, regexp, object, error, symbol
 * @param item anything
 * @returns type of that item
 */
export declare const typeOf: (item: unknown) => string;
/**
 * Identifies if string is a valid email.
 * @param item any string
 */
export declare function isValidEmail(value: string): boolean;
/**
 * Identifies if string is a valid url.
 * @param item any string
 */
export declare function isValidUrl(value: string): boolean;
